Generated from the live OpenAPI document — 2026-10-19.This group has no curated guide page.All routes require Authorization: Bearer atamaia_… and return ApiEnvelope<T>({ ok, requestId, data, error, errorCode, count, hint }); the schemas below show thedata payload. * marks required properties.
Operations
| Method | Path | Summary / body | Responses |
|---|---|---|---|
| GET | /api/hydration/default-config | 200 IdentityHydrationConfig | |
| PUT | /api/hydration/default-config | 200 IdentityHydrationConfig |
Schemas
Request and response shapes referenced by the operations above. Nested types named here are also defined under their own group or inthe group index.
IdentityHydrationConfig
| Property | Type | Description |
|---|---|---|
| preset | string | |
| disabledSources | string[] | |
| enabledSources | string[] | |
| identityMemoryLimit | int32 | |
| pinnedMemoryLimit | int32 | |
| recentMemoryLimit | int32 | |
| projectMemoryLimit | int32 | |
| projectLimit | int32 | |
| taskLimit | int32 | |
| taskMinPriority | int32 | |
| keyFactLimit | int32 | |
| factLimit | int32 | |
| minFactImportance | int32 | |
| pendingReplyLimit | int32 | |
| generateSystemPrompt | boolean | |
| surfacedMemoryEnabled | boolean | |
| standingRulesMode | string |